routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\MangaController;
use App\Http\Controllers\FaceBookController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome-app');
});

/*Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');*/

Route::middleware('auth')->group(function () {
    Route::get('/home', [MangaController::class, 'index'])->name('home');
    Route::get('/search', [MangaController::class, 'search'])->name('search');
    Route::get('/searchAdvance', [MangaController::class, 'searchAdvance'])->name('searchAdvance');
    Route::get('/manga/{idManga}', [MangaController::class, 'show'])->whereNumber('idManga')->name('manga.info');
    Route::get('/manga/add', [MangaController::class, 'create'])->name('add');
    Route::post('/manga/create', [MangaController::class, 'store'])->name('manga.create');
    Route::get('/manga/edit', [MangaController::class, 'edit'])->name('manga.edit');
    Route::get('/manga', [MangaController::class, 'showMyManga'])->name('manga.list');
    Route::patch('/manga', [MangaController::class, 'update'])->name('manga.update');
    Route::post('/manga/destroy', [MangaController::class, 'destroy'])->name('manga.destroy');
});

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

Route::fallback(function() {
    return view('404'); // la vue 404.blade.php
});

// Facebook Login URL
Route::prefix('facebook')->name('facebook.')->group( function(){
    Route::get('auth', [FaceBookController::class, 'loginUsingFacebook'])->name('login');
    Route::get('callback', [FaceBookController::class, 'callbackFromFacebook'])->name('callback');
});
require __DIR__.'/auth.php';

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.app');
    }
}

app/View/Components/GuestLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class GuestLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.guest');
    }
}

resources/views/404.blade.php
<x-guest-layout>
    <div class="full-screen ctn-center">
        <div class="ctn-scale text-center p-4">
            <h1 class="big-title">Error 404</h1>
            <div style="height: 50px"></div>
            <div class="flex flex-col gap-4">
                <p class="text-white">Page not found</p>
            </div>
        </div>
    </div>
</x-guest-layout>

resources/views/dashboard.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>

    <div class="full-screen ctn-center">
        <div class="ctn-scale text-center p-4">
            <h2 class="text-xl font-bold">Welcome to MANGA COLLEC</h2>
            <p>For beginning add manga to list them, give them away or exchange them !</p>
            <img class="img-position" src="{{ asset('images/img-legumes&fruits.png') }}" alt="">
            <div class="flex flex-col gap-4">
                <a href="{{ route('add') }}">
                    <x-primary-button>Add Manga</x-primary-button>
                </a>
                <a class="underline" href="{{ route('home') }}">
                    {{ __('Later') }}
                </a>
            </div>
        </div>
    </div>
</x-app-layout>

resources/views/home.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Mangas') }}
        </h2>
    </x-slot>

    <x-searchBar requeteValue=""/>

    <div class="ctn-scaled flex mt-8">
        <div style="display: flex; flex-direction: column; gap: 20px; padding-bottom: 20px; margin:0 auto">
            @isset($result)
                @foreach ($result as $manga)
                    <a class="flex" style="flex-direction: column" href='/manga/{{ $manga->data->mal_id }}'>
                        <img width="225" height="320" src="{{ $manga->data->images->webp->image_url }}" alt="image couverture manga"/>
                        <h2 class="text-center" style="color: var(--main-color)">{{ $manga->data->title }}</h2>
                    </a>
                @endforeach
            @endisset
        </div>
    </div>
</x-app-layout>

resources/views/search.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Result Search Manga') }}
        </h2>
    </x-slot>
    <x-slot name="header">
        <a style="color: white;" href="{{  url()->previous() }}">Back</a>
    </x-slot>

    <x-searchBar :requeteValue="$requeteSearch['search']"/>

    <div class="ctn-scaled flex mt-8">
        <div class="p-6" style="display: flex; flex-direction: column; gap: 20px; align-items: center">
            @isset($resultSearch)
                @foreach ($resultSearch as $allMangas)
                    @foreach ($allMangas as $mangas)
                        <section id="section-pagination-top" class="flex bg-gray-100">
                            <form class="flex items-center" action="{{ route('search') }}" method="GET">
                                @php
                                $isFirstPage = $mangas->pagination->current_page == 1 ? 'true' : 'false';
                                $isDisabled = $isFirstPage == 'true' ? 'disabled' : '';
                                @endphp
                                <input type="hidden" name="search" value="{{ $requeteSearch['search'] }}"/>
                                <input type="hidden" name="category" value="{{ $requeteSearch['type'] }}"/>
                                <input type="hidden" name="status" value="{{ $requeteSearch['status'] }}"/>
                                <input type="hidden" name="numPage" value="{{ $mangas->pagination->current_page - 1 }}" />

                                <button class="mr-2 {{ $isDisabled }}" type="submit"><img class="mr-2" src="{{ asset('images/picto/left-chevron.png') }}"></button>
                            </form>
                            @for ($i=1 ; $i <= $mangas->pagination->last_visible_page;$i++)
                            <form action="{{ route('search') }}" method="GET">
                                <input type="hidden" name="search" value="{{ $requeteSearch['search'] }}"/>
                                <input type="hidden" name="category" value="{{ $requeteSearch['type'] }}"/>
                                <input type="hidden" name="status" value="{{ $requeteSearch['status'] }}"/>
                                <input type="hidden" name="numPage" value="{{ $i }}" />
                                @php
                                $color = $i == $mangas->pagination->current_page ? 'var(--main-color)' : 'black';
                                @endphp
                                <button style="color: {{ $color }}" class="mr-2" type="submit">{{ $i }}</button>
                            </form>
                            @endfor
                            <form class="flex items-center" action="{{ route('search') }}" method="GET">
                                @php
                                $isDisabled = !($mangas->pagination->has_next_page) ? 'disabled' : '';
                                @endphp
                                <input type="hidden" name="search" value="{{ $requeteSearch['search'] }}"/>
                                <input type="hidden" name="category" value="{{ $requeteSearch['type'] }}"/>
                                <input type="hidden" name="status" value="{{ $requeteSearch['status'] }}"/>
                                <input type="hidden" name="numPage" value="{{ $mangas->pagination->current_page + 1 }}" />

                                <button class="{{ $isDisabled }}" type="submit"><img class="mr-2" src="{{ asset('images/picto/chevron.png') }}"></button>
                            </form>
                        </section>
                        @foreach ($mangas->data as $manga)
                            <a class="flex items-center flex-col" href='/manga/{{ $manga->mal_id }}'>
                                <img width="225" height="320" src="{{ $manga->images->webp->image_url }}" alt="image couverture manga">
                                <h2 class="text-center" style="color: var(--main-color)">{{ $manga->title }}</h2>
                            </a>
                        @endforeach
                    @endforeach
                    <section id="section-pagination-bot" class="flex bg-gray-100">
                        <form class="flex items-center" action="{{ route('search') }}" method="GET">
                            @php
                                $isFirstPage = $mangas->pagination->current_page == 1 ? 'true' : 'false';
                                $isDisabled = $isFirstPage == 'true' ? 'disabled' : '';
                            @endphp
                            <input type="hidden" name="search" value="{{ $requeteSearch['search'] }}"/>
                            <input type="hidden" name="category" value="{{ $requeteSearch['type'] }}"/>
                            <input type="hidden" name="status" value="{{ $requeteSearch['status'] }}"/>
                            <input type="hidden" name="numPage" value="{{ $mangas->pagination->current_page - 1 }}" />

                            <button class="mr-2 {{ $isDisabled }}" type="submit"><img class="mr-2" src="{{ asset('images/picto/left-chevron.png') }}"></button>
                        </form>
                        @for ($i=1 ; $i <= $mangas->pagination->last_visible_page;$i++)
                            <form action="{{ route('search') }}" method="GET">
                                <input type="hidden" name="search" value="{{ $requeteSearch['search'] }}"/>
                                <input type="hidden" name="category" value="{{ $requeteSearch['type'] }}"/>
                                <input type="hidden" name="status" value="{{ $requeteSearch['status'] }}"/>
                                <input type="hidden" name="numPage" value="{{ $i }}" />
                                @php
                                    $color = $i == $mangas->pagination->current_page ? 'var(--main-color)' : 'black';
                                @endphp
                                <button style="color: {{ $color }}" class="mr-2" type="submit">{{ $i }}</button>
                            </form>
                        @endfor
                        <form class="flex items-center" action="{{ route('search') }}" method="GET">
                            @php
                                $isDisabled = !($mangas->pagination->has_next_page) ? 'disabled' : '';
                            @endphp
                            <input type="hidden" name="search" value="{{ $requeteSearch['search'] }}"/>
                            <input type="hidden" name="category" value="{{ $requeteSearch['type'] }}"/>
                            <input type="hidden" name="status" value="{{ $requeteSearch['status'] }}"/>
                            <input type="hidden" name="numPage" value="{{ $mangas->pagination->current_page + 1 }}" />

                            <button class="{{ $isDisabled }}" type="submit"><img class="mr-2" src="{{ asset('images/picto/chevron.png') }}"></button>
                        </form>
                    </section>
                @endforeach

            @endisset
        </div>
    </div>
</x-app-layout>

resources/views/welcome-app.blade.php
<x-guest-layout>
    <div class="full-screen ctn-center">
        <div class="ctn-scale text-center p-4">
            <h1 class="big-title">HAWK ,<br> your nakama of Japan</h1>
            <div style="height: 50px"></div>
            <div class="flex flex-col gap-4">
                <a href="{{ route('register') }}">
                    <button style="width: 100%;
                            background-color: var(--main-color);
                            color: #FFF;
                            border-radius: 50vmax;
                            padding: 16px 24px;">Register</button>
                </a>
                <a href="{{ route('login') }}">
                    <button  style="width: 100%;
                            background-color: var(--main-color);
                            color: #FFF;
                            border-radius: 50vmax;
                            padding: 16px 24px;">Log In</button>
                </a>
                <a href="{{ route('facebook.login') }}">
                    <img style="width:24px;" src="{{ asset('images/logo/facebook.png') }}"/>
                </a>
            </div>
        </div>
    </div>
</x-guest-layout>